Classify Documents

Classify a batch of one or multiple documents all at once by passing a list of document IDs, and an optional list of class IDs to use for classification. If no class IDs are provided, all classes will be used. To use the unknown class, either pass its classId ('unknown') or set the includeUnknown flag as True.

Body Params
documentIds
array of strings
required

List of document IDs to classify

Document IDs*
classIds
array of strings

List of class IDs to use for classification

Class IDs
boolean
Defaults to false

Whether to allow multiple classifications per document

boolean
Defaults to true

Whether to include the 'unknown' class in the classification (only relevant if multiClass is false)

string

Instructions for the AI on how to classify the documents

string
enum
Defaults to auto

Advanced Feature Mode of display to run. The options are: auto: AI decides how to display the document (default) spatial: Display text spatially, as it appears in the document sections: Display text from top to bottom as sections, with tables appearing as markdown image: Display as an image.

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json